Bug 970746 - Incorrect proxy configuration docs
Incorrect proxy configuration docs
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: documentation (Show other bugs)
2.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.2.0
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 14:40 EDT by Jay Dobies
Modified: 2013-09-10 11:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:43:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Dobies 2013-06-04 14:40:51 EDT
The proxy config property names have changed but the recipes section of the user guide did not reflect the new names. The name changes are as follows:

+----------------------+------------------+
| Old name             | New Name         |
+======================+==================+
| proxy_url            | proxy_host       |
+----------------------+------------------+
| proxy_user           | proxy_username   |
+----------------------+------------------+
| proxy_pass           | proxy_password   |
+----------------------+------------------+

Keep in mind these are changes to the configuration itself. In the CLI, the only change is proxy_url -> proxy_host.

Additionally, the location of the file in which to make these changes has moved from /usr/lib/pulp to /etc/pulp/server.

In addition to updating the recipes page, the release notes need to be updated to indicate the user's old configuration needs to be redone.
Comment 1 Jeff Ortel 2013-06-06 12:20:18 EDT
build: 2.2.0-0.2.beta.

Some of these were likely included in an earlier build but found them this time with a better BZ query.
Comment 3 Preethi Thomas 2013-09-10 11:43:30 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.